<%@ Page language="c#" Codebehind="SelectDeliveryForm.aspx.cs" MasterPageFile="~/StockTaker.Master" AutoEventWireup="false" Inherits="StockTaker.SelectDeliveryForm"%>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="StockTakerContent">
<script language="javascript" type="text/javascript">
		 $(document).ready(function() {		 
        if ($('.AlertMessage').text() != '') {
            $('#dialog-message').text($('.AlertMessage').text());
            $('#dialog-message').dialog({
                modal: true,
                buttons: {
                    Ok: function() {
                        $(this).dialog("close");
                    }
                }
            });
        }
</script>
	<form id="Form1" method="post" runat="server">		
		
		<h1>Purchase Order Deliveries</h1>
		
		<div class="miniNav">
			<asp:button id="cmdHelp" tabIndex="2" runat="server" Text="Help"></asp:button>
			<asp:label id="lblTitle" runat="server"></asp:label>
			<asp:button id="cmdDone" tabIndex="3" runat="server" Text="Done"></asp:button>
			<asp:label id="lblDeliveries" runat="server"></asp:label>
		</div>	
		
	<asp:panel id="pnlFilter" runat="server">				
		<fieldset class="stFieldset">
			<legend>Filter By:</legend>
			<table cellpadding="2" cellspacing="0" border="0" class="formTable" style="float:left;">
				<tr>
					<td><asp:label id="lblSelectDept" runat="server">Department:&nbsp;</asp:label></td>
					<td><asp:dropdownlist id="cboDept" runat="server" AutoPostBack="True"></asp:dropdownlist></td>
				</tr>
				<tr>
					<td><asp:label id="lblStartDate" runat="server">Start Date:</asp:label></td>
					<td><asp:TextBox id="txtStartDate" runat="server" ReadOnly="True"></asp:TextBox><asp:ImageButton id="cmdSelectStart" runat="server" ImageUrl=".\Graphics\Calendar.gif" CausesValidation="False"></asp:ImageButton></td>
				</tr>
				<tr>
					<td><asp:label id="lblEndDate" runat="server">End Date:</asp:label></td>
					<td><asp:TextBox id="txtEndDate" runat="server" ReadOnly="True"></asp:TextBox><asp:ImageButton id="cmdSelectEnd" runat="server" ImageUrl=".\Graphics\Calendar.gif" CausesValidation="False"></asp:ImageButton></td>
				</tr>
				<tr>
					<td colspan="2">
						<asp:Button id="cmdClearDate" runat="server" Text="Clear Date" CausesValidation="False"></asp:Button>
						<br /><asp:Label id="lblDateRangeErr" runat="server" Visible="False" ForeColor="Red" Font-Bold="True">Start date cannot before the end date.</asp:Label>
					</td>
				</tr>
			</table>
			<div style="float:left;padding-left:25px;">
				<asp:Calendar id="calDateSelect" runat="server" Width="300px" Visible="False"></asp:Calendar>
			</div>
		</fieldset>
	</asp:panel>
	
		<fieldset class="stFieldset">
			<legend>Select a PO:</legend>
			<asp:datagrid id="dgPOs" runat="server" Width="100%" ForeColor="Black" GridLines="None" CellPadding="2" AutoGenerateColumns="False">
				<FooterStyle BackColor="Tan"></FooterStyle>
				<SelectedItemStyle ForeColor="GhostWhite" BackColor="DarkSlateBlue"></SelectedItemStyle>
				<AlternatingItemStyle BackColor="#eeeeee"></AlternatingItemStyle>
				<HeaderStyle BackColor="#666666" Font-Bold="True" ForeColor="White" />
				<Columns>
					<asp:TemplateColumn HeaderText="&nbsp;P.O. Details">
						<ItemStyle CssClass="rowPadLeft"></ItemStyle>
						<ItemTemplate>
							<asp:HyperLink runat="server" Text="View Details" NavigateUrl='<%#"ViewDeliveryForm.aspx?PoId=" + DataBinder.Eval (Container.DataItem, "DP_PO_ID") + "&DtId=" + DataBinder.Eval (Container.DataItem, "DP_DT_ID")%>'/>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn DataField="DP_PO_ID" HeaderText="PO #">
						<ItemStyle HorizontalAlign="Center" Width="70px"></ItemStyle>
					</asp:BoundColumn>
					<asp:BoundColumn DataField="DP_DelDate" DataFormatString="{0:MMM dd, yyyy}" HeaderText="Date">
						<ItemStyle HorizontalAlign="Center" Width="120px"></ItemStyle>
					</asp:BoundColumn>
					<asp:BoundColumn DataField="DP_Status" HeaderText="Accepted">
						<ItemStyle HorizontalAlign="Center" Width="100px"></ItemStyle>
					</asp:BoundColumn>
					<asp:BoundColumn DataField="FullName" HeaderText="Delivered By">
						<ItemStyle HorizontalAlign="Center" Width="150px"></ItemStyle>
					</asp:BoundColumn>
				</Columns>
				<PagerStyle HorizontalAlign="Center" ForeColor="#000000"></PagerStyle>
			</asp:datagrid>
		</fieldset>
		
	</form>
</asp:Content>