<%@ Page language="c#" Codebehind="HelpReceiverForm.aspx.cs" MasterPageFile="~/StockTaker.Master" AutoEventWireup="false" Inherits="StockTaker.HelpReceiverForm" %>


<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="StockTakerContent">
	<form id="Form1" method="post" runat="server">
		
		<h1><asp:label id="lblTitle" runat="server">StockReceiver Help Information</asp:label></h1>
		<ul>
			<li><asp:hyperlink id="hlkView" runat="server" NavigateUrl="#View">Viewing Purchase Order Delivery Details</asp:hyperlink></li>
			<li><asp:hyperlink id="hlkUsers" runat="server" NavigateUrl="#Users">Manage StockReceiver Users</asp:hyperlink></li>
			<li><asp:hyperlink id="hlkExit" runat="server">Exit</asp:hyperlink></li>
		</ul>
		
		<br />
		<div class="horizDouble"><!-- --></div>

		<a name="View"></a>
		<h2><asp:Label id="Label1" runat="server">Viewing Stock Delivery Details</asp:Label></h2>
		
		<p>To view the details of a delivered purchase order, click the <strong>View Delivery Details</strong> button on the main page. 
		On the <strong>Purchase Order Deliveries</strong>page, click <strong>View</strong> beside the purchase order you want to view.
		The <strong>Delivery Details</strong> page will then be displayed.</p>
		
		<ul>
			<li><b><u>View Purchase Orders by Department:</u></b><br />User the <strong>Department</strong> drop down list on the right side of the screen to display all purchase orders for a given department.</li>
			<li><b><u>View Purchase for a Date Range:</u></b><br />Click the calendar button beside the <strong>Start Date</strong> text box to display a calendar. Select a date from the calendar. The <strong>End Date</strong> text box will also be populated with the selected date. To view purchase orders for a range of dates, click the calendar beside the <strong>End Date</strong> text box. Select another date for the end of the date range.</li>
		</ul>
		
		<p>On the <strong>Delivery Details</strong> page, click <strong>Back</strong> to return to the&nbsp;<strong>Purchase Order Deliveries</strong>&nbsp;page.</p>
		<p><a href="#top">Top</a></p>
		
		<div class="horizDouble"><!-- --></div>
		
		<a name="Users"></a>
		<h2><asp:label id="lblUsers" runat="server">Managing StockReceiver User Accounts</asp:label></h2>
		<P>To manage user accounts, click the <strong>Manage StockReceiver </strong>button on the main page.</p>

		<ul>
			<li><strong><u>Adding a New User:</u></strong>
				<ul type="circle">
					<li>Enter a first and last name for the user in the <strong>First Name</strong> and <strong>Last Name</strong> text boxes.</li>
					<li>Click the <strong>Add&nbsp;New</strong> button to add the new user.</li>
					<li>Click  the <strong>Cancel</strong> button to clear the text fields.</li>
				</ul>
			</li>
			<li><strong><u>Edit a User Account:</u></strong>
				<ul>
					<li>Click the <strong>Edit</strong> button beside the user you wan to edit.&nbsp; Their first and last name will become editable.</li>
					<li>Update the first and last name as required and click the <strong>Update</strong> button to save the changes.</li>
					<li>Click the <strong>Cancel</strong> button to cancel any changes.</li>
				</ul>
			</li>
			<li><strong><u>Deleting a User Account:</u></strong>
				<ul>
					<li>Click the <strong>Delete</strong> button beside the user you want to delete.</li>
					<li>You will be prompted to confirm the delete. Select <strong>Yes</strong> to finish deleting the user. Select <strong>No</strong> to abort deleting the user.</li>
					<li>NOTE: you will note be able to delete a user who has made one or more deliveries.</li>
				</ul>
			</li>
		</ul>
		<p><a href="#top">Top</a></p>
	</form>
</asp:Content>
