<%@ Page language="c#" Codebehind="ManageUsersForm.aspx.cs" MasterPageFile="~/StockTaker.Master" AutoEventWireup="false" Inherits="StockTaker.ManageUsersForm" %>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="StockTakerContent">
	<script runat="server"> 
		void Button_Click(object sender, EventArgs e) { 
			string message = "MessageBoxTest"; 
			string alertScript = "<script language=JavaScript>"; 
			alertScript += "alert('" +message +"');"; 
			alertScript += "</script" +">"; 

			if (!IsClientScriptBlockRegistered("alert")) {
				this.RegisterClientScriptBlock("alert", alertScript); 
			}
		} 
		</script>
		<script language="javascript" type="text/javascript">
		 $(document).ready(function() {		 
        if ($('.AlertMessage').text() != '') {
            $('#dialog-message').text($('.AlertMessage').text());
            $('#dialog-message').dialog({
                modal: true,
                buttons: {
                    Ok: function() {
                        $(this).dialog("close");
                    }
                }
            });
        }
        if ($('.ConfirmDeleteMessage').text() != '') {
            $('#dialog-confirm-delete').text($('.ConfirmDeleteMessage').text());
            $('#dialog-confirm-delete').dialog({
                modal: true,
                buttons: {
                    Ok: function() {
                        $('.ConfirmDeleteMessage').html("<input type=hidden value='1' name='DELETE_HIDDEN_FIELD'>");
                        $('#aspnetForm').submit();
                        $(this).dialog("close");
                    },
                    Cancel: function() {
                        $(this).dialog("close");
                    }
                }
            });
        }

    });		
	</script>
	<form id="Form1" method="post" runat="server">
	
		<h1><asp:label id="lblTitle" runat="server">Manage User Accounts</asp:label></h1>
	
		<div class="miniNav">
			<asp:button id="cmdHelp" onclick="Button_Click" tabIndex="11" runat="server" CausesValidation="False" Text="Help"></asp:button>
			<asp:button id="cmdDone" tabIndex="12" runat="server" CausesValidation="False" Text="Done"></asp:button>
		</div>		
		<div id="dialog-message" title="StockTaker Notice"></div>
		<asp:Label ID="mbxMessageBox" runat="server" style="display:none;" class="AlertMessage"/>	
		<div id="dialog-confirm-delete" title="StockTaker Confirm"></div>
		<asp:Label ID="mbxConfirmDeleteBox" runat="server" style="display:none;" class="ConfirmDeleteMessage"/>						
		<fieldset class="stFieldset">
			<legend><asp:label id="lblMode" runat="server">Add Form</asp:label></legend>
			
			<div class="miniNav2">
				<asp:button id="cmdAdd" tabIndex="8" runat="server" CausesValidation="False" Text="Add User Form" Enabled="False"></asp:button>
				<asp:button id="cmdEdit" tabIndex="9" runat="server" CausesValidation="False" Text="Edit User Form"></asp:button>
				<asp:button id="cmdDelete" tabIndex="10" runat="server" CausesValidation="False" Text="Delete User Form"></asp:button>
			</div> 
			
			<asp:panel id="pnlCartPanel" runat="server">
				
				<asp:Label id="lblSelectUser" runat="server" CssClass="padGen" Visible="False">Please Select a User</asp:Label>
				<asp:DropDownList id="cboSelectUser" runat="server" Width="128px" Visible="False" AutoPostBack="True"></asp:DropDownList>
				
				<div class="innerPanel">
					<table cellpadding="2" cellspacing="2" border="0">
						<tr>
							<td><asp:Label id="lblType" runat="server">User Type:</asp:Label></td>
							<td><asp:DropDownList id="cboType" tabIndex="3" runat="server"></asp:DropDownList></td>
						</tr>
						<tr>
							<td><asp:Label id="lblName" runat="server">User Name:&nbsp;</asp:Label></td>
							<td>
								<asp:TextBox id="txtUser" tabIndex="1" runat="server" Width="144px" MaxLength="20"></asp:TextBox> 
								<asp:RequiredFieldValidator id="m_UserNameReqValidator" runat="server" ControlToValidate="txtUser">Required</asp:RequiredFieldValidator>
								<asp:CustomValidator id="m_UserNameCustValidator" runat="server" Width="288px" ControlToValidate="txtUser"></asp:CustomValidator>
							</td>
						</tr>
						<tr>
							<td><asp:Label id="lblPassword" runat="server" Width="64px">Password:</asp:Label></td>
							<td>
								<asp:TextBox id="txtPassword" tabIndex="2" runat="server" Width="144px" MaxLength="20" TextMode="Password"></asp:TextBox>
								<asp:RequiredFieldValidator id="m_PasswordReqValidator" runat="server" ControlToValidate="txtPassword">Required</asp:RequiredFieldValidator>
								
							</td>
							<td><asp:Button id="cmdChangePassword" tabIndex="5" runat="server" Text="Change Password" CausesValidation="False" Visible="False"></asp:Button> </td>
						</tr>

						<tr>
							<td colspan="2">
								<br />
								<asp:Button id="cmdSave" tabIndex="4" runat="server" Text="Save"></asp:Button>
								<asp:Button id="cmdDeleteRecord" tabIndex="6" runat="server" Text="Delete User" CausesValidation="False" Visible="False"></asp:Button>
								<asp:Button id="cmdCanel" tabIndex="7" runat="server" Text="Cancel" CausesValidation="False"></asp:Button>
							</td>
						</tr>
					</table>
				</div>			
			</asp:panel>			
		
		</fieldset>

	</form>
				
</asp:Content>