<%@ Page language="c#" Codebehind="PrintableSchedule.aspx.cs" AutoEventWireup="false" Inherits="StockTaker.PrintableSchedule" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<title>Printable Schedule</title>
	<link href="css/default.css" rel="stylesheet" type="text/css" media="screen" />
	<link href="css/print.css" rel="stylesheet" type="text/css" media="print" />
</head>
<body class="printable">
<div id="mainWrapper">
<script language="javascript" type="text/javascript">
		 $(document).ready(function() {		 
        if ($('.AlertMessage').text() != '') {
            $('#dialog-message').text($('.AlertMessage').text());
            $('#dialog-message').dialog({
                modal: true,
                buttons: {
                    Ok: function() {
                        $(this).dialog("close");
                    }
                }
            });
        }
</script>
	<form id="Form1" method="post" runat="server">
		<div id="dialog-message" title="StockTaker Notice"></div>
		<asp:Label ID="mbxMessageBox" runat="server" style="display:none;" class="AlertMessage"/>	
		<div class="printableContent">
		
			<h1><asp:label id="lblTitle" runat="server">Stock Take Schedule</asp:label></h1>
			<asp:label id="lblDataTitle" runat="server" Font-Bold="True">Schedule Generated on:</asp:label>&nbsp;
			<asp:label id="lblGenerationDate" runat="server">Date unavailable</asp:label>
			
			<br />			
			<br />
			<asp:label id="lblFacilityTitle" runat="server" Font-Bold="True">Health Facility:</asp:label>&nbsp;
			<asp:label id="lblFacility" runat="server">Health facility details unavailable</asp:label>
			
			<br />
			<br />
			<asp:Label id="lblWeekDayTitle" Runat="server" Font-Bold="True">Schedule Day:</asp:Label>&nbsp;
			<asp:Label id="lblWeekDay" Runat="server">Schedule day unavailable</asp:Label>
			
			<br />
			<br />
			<asp:Label id="lblDescTitle" Runat="server" Font-Bold="True">Schedule Description:</asp:Label>&nbsp;
			<asp:Label id="lblDescription" Runat="server">Schedule description unavailable</asp:Label>
			
			<br />
			<br />
			<asp:Label id="lblInvMnems" Runat="server" Font-Bold="True">Mnemonics of Stock Lists Scheduled for Stock Take:</asp:Label>
			
			<br />
			<asp:Panel id="pnlInvMnems" runat="server"></asp:Panel>		
		</div>
		
		<asp:Button id="cmdClose" CssClass="noPrint" runat="server" Text="Close"></asp:Button>

	</form>

</div>
</body>
</html>
